Bug 1295073 - Two finger scroll causes jerky mouse movement
Two finger scroll causes jerky mouse movement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libinput (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 14:17 EST by Kadir
Modified: 2016-01-21 21:20 EST (History)
2 users (show)

See Also:
Fixed In Version: libinput-1.1.4-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 21:20:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evemu-record (1.71 MB, text/plain)
2016-01-13 02:23 EST, Kadir
no flags Details

  None (edit)
Description Kadir 2016-01-01 14:17:25 EST
Description of problem:

Sometimes two finger scroll stops working causing a jerky mouse movement when I am trying to two finger scroll

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. two finger scroll on a website
2. sometimes there is no scrolling action
3. in that case there is very jerky mouse movement but no scroll movement

Actual results:

jerky mouse movement instead of scrolling

Expected results:

smooth scrolling behavior 

Additional info:

I have a laptop (Dell Latitude e6320). When I try to use the trackpad for a longer period sometimes the two finger scroll does not work. Instead of scrolling the mouse pointer starts to move but is very jerky. In that case I have to lift my fingers and try scrolling again. Sometimes it works sometimes it doesn't.
Comment 1 Peter Hutterer 2016-01-03 21:57:50 EST
run sudo evemu-record against the touchpad device please and record such a sequence. attach the recording here. Please try to keep the recording short, so if you can't reproduce it quickly, just cancel and restart the evemu-record.
Comment 2 Kadir 2016-01-04 02:12:12 EST
I have run evemu-record with the jerky movement. It is pretty easy to get the jerky movement (trying to two-finger scroll). But I can't make much sense of the output of evemu-record. 

The thing is, sometimes the cursor jumps around when trying to two-finger scroll and very few times the cursor doesn't move but there is also no scrolling. 

Here is some of the parts of where the jerky movement is:

E: 261.853008 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 261.874154 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 261.874154 0003 0035 0596	# EV_ABS / ABS_MT_POSITION_X    596
E: 261.874154 0003 0036 0405	# EV_ABS / ABS_MT_POSITION_Y    405
E: 261.874154 0003 0000 0596	# EV_ABS / ABS_X                596
E: 261.874154 0003 0001 0405	# EV_ABS / ABS_Y                405
E: 261.874154 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 261.894576 0003 0035 0603	# EV_ABS / ABS_MT_POSITION_X    603
E: 261.894576 0003 0036 0479	# EV_ABS / ABS_MT_POSITION_Y    479
E: 261.894576 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 261.894576 0003 0036 0560	# EV_ABS / ABS_MT_POSITION_Y    560
E: 261.894576 0003 0000 0603	# EV_ABS / ABS_X                603
E: 261.894576 0003 0001 0479	# EV_ABS / ABS_Y                479
E: 261.894576 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 261.915237 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 261.915237 0003 0035 0609	# EV_ABS / ABS_MT_POSITION_X    609
E: 261.915237 0003 0036 0555	# EV_ABS / ABS_MT_POSITION_Y    555
E: 261.915237 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 261.915237 0003 0036 0700	# EV_ABS / ABS_MT_POSITION_Y    700
E: 261.915237 0003 0000 0609	# EV_ABS / ABS_X                609
E: 261.915237 0003 0001 0555	# EV_ABS / ABS_Y                555
E: 261.915237 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 261.936456 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 261.936456 0003 0035 0614	# EV_ABS / ABS_MT_POSITION_X    614
E: 261.936456 0003 0036 0636	# EV_ABS / ABS_MT_POSITION_Y    636
E: 261.936456 0003 0000 0614	# EV_ABS / ABS_X                614
E: 261.936456 0003 0001 0636	# EV_ABS / ABS_Y                636
E: 261.936456 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 261.956878 0003 0035 0616	# EV_ABS / ABS_MT_POSITION_X    616
E: 261.956878 0003 0036 0718	# EV_ABS / ABS_MT_POSITION_Y    718
E: 261.956878 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 261.956878 0003 0036 0840	# EV_ABS / ABS_MT_POSITION_Y    840
E: 261.956878 0003 0000 0616	# EV_ABS / ABS_X                616
E: 261.956878 0003 0001 0718	# EV_ABS / ABS_Y                718
E: 261.956878 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 261.982770 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 261.982770 0003 0035 0617	# EV_ABS / ABS_MT_POSITION_X    617
E: 261.982770 0003 0036 0795	# EV_ABS / ABS_MT_POSITION_Y    795
E: 261.982770 0003 0000 0617	# EV_ABS / ABS_X                617
E: 261.982770 0003 0001 0795	# EV_ABS / ABS_Y                795
E: 261.982770 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +26ms
E: 261.998724 0003 0035 0618	# EV_ABS / ABS_MT_POSITION_X    618
E: 261.998724 0003 0036 0867	# EV_ABS / ABS_MT_POSITION_Y    867
E: 261.998724 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 261.998724 0003 0036 0980	# EV_ABS / ABS_MT_POSITION_Y    980
E: 261.998724 0003 0000 0618	# EV_ABS / ABS_X                618
E: 261.998724 0003 0001 0867	# EV_ABS / ABS_Y                867
E: 261.998724 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +16ms
E: 262.019413 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.019413 0003 0035 0619	# EV_ABS / ABS_MT_POSITION_X    619
E: 262.019413 0003 0036 0921	# EV_ABS / ABS_MT_POSITION_Y    921
E: 262.019413 0003 0000 0619	# EV_ABS / ABS_X                619
E: 262.019413 0003 0001 0921	# EV_ABS / ABS_Y                921
E: 262.019413 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.040247 0003 0036 0952	# EV_ABS / ABS_MT_POSITION_Y    952
E: 262.040247 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.040247 0003 0036 1120	# EV_ABS / ABS_MT_POSITION_Y    1120
E: 262.040247 0003 0001 0952	# EV_ABS / ABS_Y                952
E: 262.040247 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.060904 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.060904 0003 0035 0621	# EV_ABS / ABS_MT_POSITION_X    621
E: 262.060904 0003 0036 0965	# EV_ABS / ABS_MT_POSITION_Y    965
E: 262.060904 0003 0000 0621	# EV_ABS / ABS_X                621
E: 262.060904 0003 0001 0965	# EV_ABS / ABS_Y                965
E: 262.060904 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.081608 0003 0035 0623	# EV_ABS / ABS_MT_POSITION_X    623
E: 262.081608 0003 0036 0967	# EV_ABS / ABS_MT_POSITION_Y    967
E: 262.081608 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.081608 0003 0036 0980	# EV_ABS / ABS_MT_POSITION_Y    980
E: 262.081608 0003 0000 0623	# EV_ABS / ABS_X                623
E: 262.081608 0003 0001 0967	# EV_ABS / ABS_Y                967
E: 262.081608 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.102493 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.102493 0003 0035 0625	# EV_ABS / ABS_MT_POSITION_X    625
E: 262.102493 0003 0036 0942	# EV_ABS / ABS_MT_POSITION_Y    942
E: 262.102493 0003 0000 0625	# EV_ABS / ABS_X                625
E: 262.102493 0003 0001 0942	# EV_ABS / ABS_Y                942
E: 262.102493 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.123385 0003 0035 0626	# EV_ABS / ABS_MT_POSITION_X    626
E: 262.123385 0003 0036 0894	# EV_ABS / ABS_MT_POSITION_Y    894
E: 262.123385 0003 0000 0626	# EV_ABS / ABS_X                626
E: 262.123385 0003 0001 0894	# EV_ABS / ABS_Y                894
E: 262.123385 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.144202 0003 0035 0624	# EV_ABS / ABS_MT_POSITION_X    624
E: 262.144202 0003 0036 0827	# EV_ABS / ABS_MT_POSITION_Y    827
E: 262.144202 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.144202 0003 0036 0840	# EV_ABS / ABS_MT_POSITION_Y    840
E: 262.144202 0003 0000 0624	# EV_ABS / ABS_X                624
E: 262.144202 0003 0001 0827	# EV_ABS / ABS_Y                827
E: 262.144202 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.165074 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.165074 0003 0035 0622	# EV_ABS / ABS_MT_POSITION_X    622
E: 262.165074 0003 0036 0749	# EV_ABS / ABS_MT_POSITION_Y    749
E: 262.165074 0003 0000 0622	# EV_ABS / ABS_X                622
E: 262.165074 0003 0001 0749	# EV_ABS / ABS_Y                749
E: 262.165074 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.186026 0003 0035 0621	# EV_ABS / ABS_MT_POSITION_X    621
E: 262.186026 0003 0036 0674	# EV_ABS / ABS_MT_POSITION_Y    674
E: 262.186026 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.186026 0003 0036 0700	# EV_ABS / ABS_MT_POSITION_Y    700
E: 262.186026 0003 0000 0621	# EV_ABS / ABS_X                621
E: 262.186026 0003 0001 0674	# EV_ABS / ABS_Y                674
E: 262.186026 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.206829 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.206829 0003 0035 0622	# EV_ABS / ABS_MT_POSITION_X    622
E: 262.206829 0003 0036 0614	# EV_ABS / ABS_MT_POSITION_Y    614
E: 262.206829 0003 0000 0622	# EV_ABS / ABS_X                622
E: 262.206829 0003 0001 0614	# EV_ABS / ABS_Y                614
E: 262.206829 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.227743 0003 0035 0624	# EV_ABS / ABS_MT_POSITION_X    624
E: 262.227743 0003 0036 0566	# EV_ABS / ABS_MT_POSITION_Y    566
E: 262.227743 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.227743 0003 0036 0560	# EV_ABS / ABS_MT_POSITION_Y    560
E: 262.227743 0003 0000 0624	# EV_ABS / ABS_X                624
E: 262.227743 0003 0001 0566	# EV_ABS / ABS_Y                566
E: 262.227743 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.248149 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.248149 0003 0035 0627	# EV_ABS / ABS_MT_POSITION_X    627
E: 262.248149 0003 0036 0528	# EV_ABS / ABS_MT_POSITION_Y    528
E: 262.248149 0003 0000 0627	# EV_ABS / ABS_X                627
E: 262.248149 0003 0001 0528	# EV_ABS / ABS_Y                528
E: 262.248149 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.290314 0003 0035 0629	# EV_ABS / ABS_MT_POSITION_X    629
E: 262.290314 0003 0036 0500	# EV_ABS / ABS_MT_POSITION_Y    500
E: 262.290314 0003 0000 0629	# EV_ABS / ABS_X                629
E: 262.290314 0003 0001 0500	# EV_ABS / ABS_Y                500
E: 262.290314 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +42ms
E: 262.310653 0003 0035 0632	# EV_ABS / ABS_MT_POSITION_X    632
E: 262.310653 0003 0036 0479	# EV_ABS / ABS_MT_POSITION_Y    479
E: 262.310653 0003 0000 0632	# EV_ABS / ABS_X                632
E: 262.310653 0003 0001 0479	# EV_ABS / ABS_Y                479
E: 262.310653 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.331535 0003 0035 0635	# EV_ABS / ABS_MT_POSITION_X    635
E: 262.331535 0003 0036 0462	# EV_ABS / ABS_MT_POSITION_Y    462
E: 262.331535 0003 0000 0635	# EV_ABS / ABS_X                635
E: 262.331535 0003 0001 0462	# EV_ABS / ABS_Y                462
E: 262.331535 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.352459 0003 0035 0636	# EV_ABS / ABS_MT_POSITION_X    636
E: 262.352459 0003 0036 0453	# EV_ABS / ABS_MT_POSITION_Y    453
E: 262.352459 0003 0000 0636	# EV_ABS / ABS_X                636
E: 262.352459 0003 0001 0453	# EV_ABS / ABS_Y                453
E: 262.352459 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.373639 0003 0035 0638	# EV_ABS / ABS_MT_POSITION_X    638
E: 262.373639 0003 0036 0450	# EV_ABS / ABS_MT_POSITION_Y    450
E: 262.373639 0003 0000 0638	# EV_ABS / ABS_X                638
E: 262.373639 0003 0001 0450	# EV_ABS / ABS_Y                450
E: 262.373639 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.406660 0003 0035 0642	# EV_ABS / ABS_MT_POSITION_X    642
E: 262.406660 0003 0036 0461	# EV_ABS / ABS_MT_POSITION_Y    461
E: 262.406660 0003 0000 0642	# EV_ABS / ABS_X                642
E: 262.406660 0003 0001 0461	# EV_ABS / ABS_Y                461
E: 262.406660 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +33ms
E: 262.425576 0003 0035 0647	# EV_ABS / ABS_MT_POSITION_X    647
E: 262.425576 0003 0036 0494	# EV_ABS / ABS_MT_POSITION_Y    494
E: 262.425576 0003 0000 0647	# EV_ABS / ABS_X                647
E: 262.425576 0003 0001 0494	# EV_ABS / ABS_Y                494
E: 262.425576 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +19ms
E: 262.448328 0003 0035 0648	# EV_ABS / ABS_MT_POSITION_X    648
E: 262.448328 0003 0036 0544	# EV_ABS / ABS_MT_POSITION_Y    544
E: 262.448328 0003 0000 0648	# EV_ABS / ABS_X                648
E: 262.448328 0003 0001 0544	# EV_ABS / ABS_Y                544
E: 262.448328 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +23ms
E: 262.469546 0003 0035 0651	# EV_ABS / ABS_MT_POSITION_X    651
E: 262.469546 0003 0036 0610	# EV_ABS / ABS_MT_POSITION_Y    610
E: 262.469546 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.469546 0003 0036 0700	# EV_ABS / ABS_MT_POSITION_Y    700
E: 262.469546 0003 0000 0651	# EV_ABS / ABS_X                651
E: 262.469546 0003 0001 0610	# EV_ABS / ABS_Y                610
E: 262.469546 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.490404 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.490404 0003 0035 0653	# EV_ABS / ABS_MT_POSITION_X    653
E: 262.490404 0003 0036 0679	# EV_ABS / ABS_MT_POSITION_Y    679
E: 262.490404 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.490404 0003 0036 0840	# EV_ABS / ABS_MT_POSITION_Y    840
E: 262.490404 0003 0000 0653	# EV_ABS / ABS_X                653
E: 262.490404 0003 0001 0679	# EV_ABS / ABS_Y                679
E: 262.490404 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +21ms
E: 262.507697 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.507697 0003 0035 0652	# EV_ABS / ABS_MT_POSITION_X    652
E: 262.507697 0003 0036 0751	# EV_ABS / ABS_MT_POSITION_Y    751
E: 262.507697 0003 0000 0652	# EV_ABS / ABS_X                652
E: 262.507697 0003 0001 0751	# EV_ABS / ABS_Y                751
E: 262.507697 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +17ms
E: 262.531818 0003 0035 0653	# EV_ABS / ABS_MT_POSITION_X    653
E: 262.531818 0003 0036 0815	# EV_ABS / ABS_MT_POSITION_Y    815
E: 262.531818 0003 0000 0653	# EV_ABS / ABS_X                653
E: 262.531818 0003 0001 0815	# EV_ABS / ABS_Y                815
E: 262.531818 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +24ms
E: 262.550540 0003 0036 0861	# EV_ABS / ABS_MT_POSITION_Y    861
E: 262.550540 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.550540 0003 0036 0980	# EV_ABS / ABS_MT_POSITION_Y    980
E: 262.550540 0003 0001 0861	# EV_ABS / ABS_Y                861
E: 262.550540 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +19ms
E: 262.573100 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.573100 0003 0035 0652	# EV_ABS / ABS_MT_POSITION_X    652
E: 262.573100 0003 0036 0885	# EV_ABS / ABS_MT_POSITION_Y    885
E: 262.573100 0003 0000 0652	# EV_ABS / ABS_X                652
E: 262.573100 0003 0001 0885	# EV_ABS / ABS_Y                885
E: 262.573100 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +23ms
E: 262.593869 0003 0035 0650	# EV_ABS / ABS_MT_POSITION_X    650
E: 262.593869 0003 0036 0892	# EV_ABS / ABS_MT_POSITION_Y    892
E: 262.593869 0003 0000 0650	# EV_ABS / ABS_X                650
E: 262.593869 0003 0001 0892	# EV_ABS / ABS_Y                892
E: 262.593869 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.615305 0003 0035 0647	# EV_ABS / ABS_MT_POSITION_X    647
E: 262.615305 0003 0036 0875	# EV_ABS / ABS_MT_POSITION_Y    875
E: 262.615305 0003 0000 0647	# EV_ABS / ABS_X                647
E: 262.615305 0003 0001 0875	# EV_ABS / ABS_Y                875
E: 262.615305 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +22ms
E: 262.635555 0003 0035 0646	# EV_ABS / ABS_MT_POSITION_X    646
E: 262.635555 0003 0036 0833	# EV_ABS / ABS_MT_POSITION_Y    833
E: 262.635555 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.635555 0003 0036 0840	# EV_ABS / ABS_MT_POSITION_Y    840
E: 262.635555 0003 0000 0646	# EV_ABS / ABS_X                646
E: 262.635555 0003 0001 0833	# EV_ABS / ABS_Y                833
E: 262.635555 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.650999 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.650999 0003 0035 0642	# EV_ABS / ABS_MT_POSITION_X    642
E: 262.650999 0003 0036 0774	# EV_ABS / ABS_MT_POSITION_Y    774
E: 262.650999 0003 0000 0642	# EV_ABS / ABS_X                642
E: 262.650999 0003 0001 0774	# EV_ABS / ABS_Y                774
E: 262.650999 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +15ms
E: 262.677246 0003 0035 0635	# EV_ABS / ABS_MT_POSITION_X    635
E: 262.677246 0003 0036 0714	# EV_ABS / ABS_MT_POSITION_Y    714
E: 262.677246 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.677246 0003 0036 0700	# EV_ABS / ABS_MT_POSITION_Y    700
E: 262.677246 0003 0000 0635	# EV_ABS / ABS_X                635
E: 262.677246 0003 0001 0714	# EV_ABS / ABS_Y                714
E: 262.677246 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +27ms
E: 262.697958 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.697958 0003 0035 0628	# EV_ABS / ABS_MT_POSITION_X    628
E: 262.697958 0003 0036 0655	# EV_ABS / ABS_MT_POSITION_Y    655
E: 262.697958 0003 0000 0628	# EV_ABS / ABS_X                628
E: 262.697958 0003 0001 0655	# EV_ABS / ABS_Y                655
E: 262.697958 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +20ms
E: 262.716544 0003 0035 0620	# EV_ABS / ABS_MT_POSITION_X    620
E: 262.716544 0003 0036 0611	# EV_ABS / ABS_MT_POSITION_Y    611
E: 262.716544 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.716544 0003 0035 1142	# EV_ABS / ABS_MT_POSITION_X    1142
E: 262.716544 0003 0000 0620	# EV_ABS / ABS_X                620
E: 262.716544 0003 0001 0611	# EV_ABS / ABS_Y                611
E: 262.716544 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +19ms
E: 262.733071 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.733071 0003 0035 0611	# EV_ABS / ABS_MT_POSITION_X    611
E: 262.733071 0003 0036 0583	# EV_ABS / ABS_MT_POSITION_Y    583
E: 262.733071 0003 002f 0001	# EV_ABS / ABS_MT_SLOT          1
E: 262.733071 0003 0039 -001	# EV_ABS / ABS_MT_TRACKING_ID   -1
E: 262.733071 0003 0000 0611	# EV_ABS / ABS_X                611
E: 262.733071 0003 0001 0583	# EV_ABS / ABS_Y                583
E: 262.733071 0001 0145 0001	# EV_KEY / BTN_TOOL_FINGER      1
E: 262.733071 0001 014d 0000	# EV_KEY / BTN_TOOL_DOUBLETAP   0
E: 262.733071 0003 0018 0120	# EV_ABS / ABS_PRESSURE         120
E: 262.733071 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +17ms
E: 262.746647 0003 002f 0000	# EV_ABS / ABS_MT_SLOT          0
E: 262.746647 0003 0035 0607	# EV_ABS / ABS_MT_POSITION_X    607
E: 262.746647 0003 0036 0563	# EV_ABS / ABS_MT_POSITION_Y    563
E: 262.746647 0003 0000 0607	# EV_ABS / ABS_X                607
E: 262.746647 0003 0001 0563	# EV_ABS / ABS_Y                563
E: 262.746647 0003 0018 0082	# EV_ABS / ABS_PRESSURE         82
E: 262.746647 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +13ms
E: 262.781645 0003 0039 -001	# EV_ABS / ABS_MT_TRACKING_ID   -1
E: 262.781645 0001 014a 0000	# EV_KEY / BTN_TOUCH            0
E: 262.781645 0001 0145 0000	# EV_KEY / BTN_TOOL_FINGER      0
E: 262.781645 0003 0018 0000	# EV_ABS / ABS_PRESSURE         0
E: 262.781645 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- +35ms
Comment 3 Peter Hutterer 2016-01-13 00:49:24 EST
sorry, you left out the header of the file which is required for me to replay the device. without this, it's just events that are hard to analyse (all my scripts require that header).

Please re-record and attach the file here, as bugzilla attachment.
Comment 4 Kadir 2016-01-13 02:23 EST
Created attachment 1114285 [details]
evemu-record

In the final part of the file, the jerky movement (while intending two-finger scroll) happens allot.
Comment 5 Peter Hutterer 2016-01-18 00:37:40 EST
whoah, this recording has over 27000 events, which makes it a bit hard to analyse. It also makes it really hard to analyse, afaict you're moving both fingers very fast up and down for most of the recording. I can't tell if that's a bug or if that is really how you moved the fingers.

I truncated anything before timestamp 101.309024, but I think that shows the problem anyway. There are several jumps, e.g. 101.852616 has a vertical jump of 770 units (just under half the touchpad) within one frame. That is after a number of small movements.

even more pronounced is 108.067166, my analysis tool shows the output below. legend is timestamp: finger 1 deltas, finger 2 deltas, finger 3 deltas, finger 4 deltas

107.372555:  177/-202 |    +++    | ********* | ********* |
107.393421:    5/ -70 |    0/ -70 | ********* | ********* |
107.414243:    5/ -91 |    0/-210 | ********* | ********* |
107.435031:    1/ -81 |    0/ -70 | ********* | ********* |
107.474246:   -2/ -63 |    0/ -70 | ********* | ********* |
107.497262:    1/ -49 |    0/ -70 | ********* | ********* |
107.518377:    1/ -44 |           | ********* | ********* |
107.538999:    1/ -39 |           | ********* | ********* |
107.557454:    1/ -34 |           | ********* | ********* |
107.580731:    1/ -25 |    0/ -70 | ********* | ********* |
107.601548:    1/ -15 |    0/ -70 | ********* | ********* |
107.621985:   -2/ -10 |           | ********* | ********* |
107.642810:    3/ -14 |           | ********* | ********* |
107.663924:    2/ -52 |           | ********* | ********* |
107.684420:   -3/ -73 |  -71/-140 | ********* | ********* |
107.703064:   -4/ -68 |  -71/-140 | ********* | ********* |
107.723916:   -1/ -43 |           | ********* | ********* |
107.747221:   -2/ -21 |           | ********* | ********* |
107.767763:    1/  -9 |           | ********* | ********* |
107.788755:   -2/  -2 |           | ********* | ********* |
107.808484:   -5/   2 |           | ********* | ********* |
107.821725:   -5/  13 |           | ********* | ********* |
108.067166:   -4/ 857 |  142/ 980 | ********* | ********* |
108.087939:    3/ -54 |  142/ -70 | ********* | ********* |
108.108612:   10/-107 |  142/-210 | ********* | ********* |
108.129873:    8/-136 |  142/-140 | ********* | ********* |
108.150228:    2/-129 |  142/-140 | ********* | ********* |
108.171370:   -5/-112 |  -71/-140 | ********* | ********* |
108.191846:  -12/ -91 |  -71/ -70 | ********* | ********* |
108.212749:   -8/ -58 |  -71/ -70 | ********* | ********* |
108.234802:   -5/ -25 |           | ********* | ********* |
108.254535:   -8/  -4 |           | ********* | ********* |
108.275610:  -10/  21 |           | ********* | ********* |


you can see at 108.067166 you have a massive jump vertically, after a series of relatively small movements. That's one problem and results in jumping scroll motion. But again, given the general motion of the scroll input I'm struggling to identify if this is a bug or a result of your quick movement.

the other problem is that you are getting the odd event at location 0/0. e.g. 102.773864 shows this. an event in that corner would be interpreted as palm touch and the finger is usually ignored. That can cause libinput to think that only one finger is really on the touchpad. This happens frequently (but not always) when both fingers are set down in the same frame. This is the cause for the mouse pointer moving when you're two-finger scrolling.
Comment 6 Peter Hutterer 2016-01-18 19:15:01 EST
I have a build coming up for the second issue listed in the comment above (the mouse cursor movement when you expected scroll motion).
Please consider this bug limited to this issue so we can handle this accordingly. If you still see cursor jumps, please file a new bug so we can track that issue separately.
Comment 7 Fedora Update System 2016-01-18 19:19:04 EST
libinput-1.1.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eddf8feb21
Comment 8 Kadir 2016-01-19 01:18:45 EST
Thank you Peter, I will test this build
Comment 9 Fedora Update System 2016-01-20 18:58:40 EST
libinput-1.1.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eddf8feb21
Comment 10 Fedora Update System 2016-01-21 21:20:15 EST
libinput-1.1.4-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.